Hide Folders XP Help

Welcome to the Hide Folders XP help.

This help file is a place to find information about Hide Folders XP.

Description
User interface
Protection methods
Command line options
How to...
Tutorial
Registration
License Agreement
Hide Folders XP FAQ

© 2001-2006 FSPro Labs. All rights reserved


Description

What is Hide Folders XP

Most everyone has files or folders on their computer that they do not want to share with others. This might include investments, financial information, tax information, passwords, personal letters and memos, credit card info, social security and other serial numbers, and a host of other private and personal data.
The best way to protect your personal information is to make the folders in
which they reside visible and available ONLY to you.
Hide Folders XP does exactly that, and it does it easily and well.

Features and benefits
  • Effective protection methods allow you to hide folders out from users and applications in Microsoft Windows 2000 and Windows XP
  • Nobody but you will access your hidden folders.
  • 3 protection methods available: Hide, Lock, Hide & Lock
  • NTFS, FAT32 and FAT volumes are supported.
  • Unlimited number of folders may be protected at the same time.
  • No file system structure modifications will occur.
  • Effective password protection when running program.
  • Effective password protection when uninstalling program.
  • Removing Hide Folders XP folder from the system will not uncover hidden folders.
  • Files from hidden folders will not be lost even if someone tries to remove an upper-level folder.
  • Clear recent documents option. Hide Folders XP clears records of recently accessed documents if these documents reside in the hidden folders.
  • Clear Recycle Bin items originally located in hidden folders.
  • Secure Hide Folders XP by removing itself from the list of mostly used programs (Windows XP start menu).
  • Secure Hide Folders XP by removing itself from Add/Remove software Control Panel applet.
  • Hide Folders XP will not hide your Windows, Windows System folders and Windows partition root folders - so careless using of Hide Folders XP would not bring the system down.
  • True stealth mode - you cannot detect the program with Windows Task Manager.
  • Safe mode support - The folders can be hidden even if your computer is running in safe mode.
  • Hot keys to manage basic Hide Folders XP functions.
  • Command line support.
  • Support of folders named with national language symbols .
  • Hide Folders XP is multilingual software, its user interface supports different languages and can be easily translated to new languages.
  • Intuitive and extrimely easy-to-use user interface.
  • And many more...

System requirements

To run Hide Folders XP you need Windows XP or Windows 2000.
Hide Folders does not work under Windows 95/98/ME - if you wish to hide folders on these operation systems you should use Hide Folders or Hide Folders Pro available from our site http://www.fsprolabs.com or http://www.fspro.net

No any special requirements to hardware.

Localization

Hide Folders XP is a multilingual software. To check what languages are supported please select Language item from Tools menu.
If you are able to make a quality translation to your native language and this language is not supported by Hide Folders XP please contact us. We will inform you about translation details. The award for the translation is a FREE Hide Folders XP registration.

Install

Remove any previous version of Hide Folders XP.
Run Hide Folders XP install program and follow the installer instructions.
If you received this software on a CD or from a software library, please check for a newer version at FSPro Labs home page (http://www.fsprolabs.com or http://www.fspro.net)

Uninstall

You can remove Hide Folders XP from your system as follows:

1. Open Windows Control Panel
2. Start Add/Remove Programs applet
3. Find Hide Folders XP in the list, and double click on it
4. Follow the instructions of the uninstall program

You can also run Hide Folders XP uninstall program directly by clicking on Uninstall Hide Folders XP shortcut in Hide Folders XP program group of Start menu.

© 2001-2006 FSPro Labs. All rights reserved.


User Interface

Main window

Hide Folders XP

Hide Folders XP main window is a control center of the program. It consists of:

Main menu
Tool bar - set of buttons, assigned to the most frequent in use menu items;
List of file system objects - list of protected files, folders or drives. Each item of the list contains file object name and its protection method.
Tip box - a small box under the List of folders showing random tips helpful for novice users;
Status bar - a bar at the bottom of the main window for displaying the meaning of highlighted menu items or the status of folders in the list.

Main menu

Main menu is a tool to manage the program.
It includes the following submenus and items:
File - to manage the list of files and folders, hide, lock and unprotect files and folders, control the main window behavior:
File->Add to list adds a file or folder to the list;
File->Remove removes the file object from the list;
File->Import list from file imports the list of protected objects from a file;
File->Export list to file exports list of protected objects to a file;
File->Set object protection allows user to specify the protection method for selected files and folders;
File->Enable protection activates protection;
File->Disable protection deactivates protection;
File->Minimize to tray closes the main window but leaves its icon in the system tray;
File->Quit quits the program. If the protection is deactivated, you will be prompted to activate it.

Tools - to set up Hide Folders, change program password and select national language;
Tools->Change password opens Change password window;
Tools->Settings opens Hide Folders XP Settings window;
Tools->Show tips shows or hides program tips (see Tip box);
Tools->Wipe tracks->Clear all links from "Recent" folder - empties Recent Documents folder entirely.
Tools->Wipe tracks->Clear links to protected files from "Recent" folder - scans the recent documents folder and if a particular shortcut links to a file located in a protected folder it will be deleted.
Tools->Wipe tracks->Clear Recycle Bin items originally protected - scans Recycle Bin and remove file and folders originally located (before being erased) in protected folders.
Tools->Wipe tracks->Clear Recycle Bin items originally protected - scans Recycle Bin and remove file and folders originally located (before being erased) in protected folders.
Tools->Wipe tracks->Remove Hide Folders XP from the mostly used programs list - removes Hide Folders XP shortcut from the mostly used programs list of Windows start menu.
Tools->Fix my documents etc. repairs Windows registry settings for default locations of My Documents, My Favorites, My Pictures... Run this command only if you know what you are doing.
Tools-Language allows you to select user interface language.

Help - to get system help:
Help->Help opens this help system;
Help->Check for updates checks at our site if a new version of Hide Folders XP available for download;
Help->About opens About Hide Folders XP dialog;
Help->Purchase registration code displays registration topic;
Help->Enter a registration code popups registration window to complete the registration process.

Tray icon menu

To access tray icon menu just click right mouse button on Hide Folders XP tray icon

Hide Folders XP tray menu

Open Hide Folders XP popups the program
Hide folders makes the folders in the list invisible
Unhide folders makes the folders in the list visible
Quit quits the program.

Settings window

Settings window controls general settings, startup settings, wipe tracks, hot keys, advanced settings, and auto updates. To open this window select Tools->Settings from the main menu.

General settings

Close window action defines Hide Folders XP behavior on close main window action (when a user click close window button or select close item from the main window menu or press Alt+F4)
Exit program - Terminates Hide Folders XP but leaves protection on;
Minimize to tray -The main window of the program disappears but its icon is still in the tray.

Minimize window action defines Hide Folders XP behavior on minimize main window action (when a user click minimize button)
Minimize to task bar - Hide Folders XP minimizes as a common Windows application;
Minimize to tray - the main window of the program disappears but its icon is still in the tray.

If protection is disabled on quit defines Hide Folders XP behavior on quit when the protection is disabled.
Prompt user - Hide Folders XP prompts user whether to enable protection or leave files and folders unprotected.
Enable protection - Hide Folders XP quits and enables files and folder protection;
Leave unprotected - Hide Folders XP quits, but doesn't change the protection status.

Integrate into Windows Explorer context menu - adds Hide and/or lock with Hide Folders XP commands into Windows Explorer context menu. This allows you to hide, lock or hide&lock a file system object immediately from the shell.

Disable protection when Hide Folders XP popups - if checked Hide Folders XP will automatically unprotect the list of objects when you open Hide Folders XP main window.

Ask password when uninstall - if checked and you set up a password, Hide Folders XP will display password prompt window before uninstall starts.

Startup settings

Run at Windows startup puts Hide Folders XP application into startup group

Minimize to tray at startup minimizes Hide Folders XP to the system tray when start. This option is useful if you put Hide Folders XP shortcut into startup program group.

Hide tray icon at startup hides the tray icon when the program started. This option is useful if you check Run at Windows startup and Minimize to tray at startup options.

Wipe tracks

These settings help you to cover up traces of Hide Folders XP on your computer.

Wipe tracks on quit - the actions, specified in Wipe tracks options will be performed when you quit Hide Folders XP.
Wipe tracks when minimizing to tray - the actions, specified in Wipe tracks options will be performed when Hide Folders XP is being minimized to tray.
Wipe tracks at startup - the actions, specified in Wipe tracks options will be performed when Hide Folders XP is being started.

Clear "Recent" folder - check if you want Hide Folders XP to remove shortcuts in the recent documents folder.
 | Clear all links form "Recent" folder - if checked Hide Folders XP will clear recent documents folder entirely.
 | Clear links to protected files only - if checked Hide Folders XP will scan the recent documents folder and if a particular shortcut links to a file located in a hidden folder it will be deleted.

Clear Recycle Bin items originally protected- if checked Hide Folders XP will scan Recycle Bin and remove file and folders originally located (before being erased) in protected folders.
Warning! As soon as Hide Folders XP removes items from Recycle Bin you will not be able to restore (undelete) these items.

Remove Hide Folders XP from the mostly used programs list - Windows XP is commonly puts the mostly used programs into the start menu. If you check this option, Hide Folders XP will always try to remove itself from the start menu.

Hot keys tab

Hot keys tab allows you to assign hot keys to basic Hide Folder XP actions.
To assign a hot key please press the key or key combination in the line. Hot keys automatically include CTRL+ALT modifier.
To clear current hot key just press space bar.

Note: The hot keys are available only if Hide Folders XP application is running.

Advanced settings

Hide process from Task Manager Windows Task Manager and some other process exploring software will not display Hide Folders XP process. This option may work incorrectly on 64-bit Windows.

Hide uninstall information removes uninstall information from Add/Remove Programs applet. Use this option if you don't want other users know about Hide Folders XP software in your system.

Protect folders in Windows Safe Mode - Makes folders protected even in Safe Mode. Do not check this option unless you ensure that Hide Folders XP works perfectly on your computer.

Enable protection when screen saver starts - If checked, the protection will be activated when your screen saver starts. This option works only if Hide Folders XP application is running.

Enable strict password policy - Check this option if you want Hide Folders XP to prompt you for a password every time you try to open Hide Folders XP or restore it from the tray icon.

Enable protection after xx minute(s) of inactivity - If checked, the protection will be activated if your computer is idle for xx minutes. This option works only if Hide Folders XP application is running.

Updates settings tab

Automatically poll for updates - Hide Folders XP will be checking for updates automatically every (Polling interval) days.
Last poll - the date of the last check for updates.
Do not display warning message before connecting the Internet - displays a dialog box notifying about connecting the Internet.

Change password window

Change password window uses to protect your hidden folders by a password.

Hide Folders XP new password

Enter your password - type your new password in this line.
Confirm your password - enter your new password here again. If the passwords don't match, OK button will not be enabled.

Warning! Hide Folders XP passwords are case sensitive. It means that words PASSWORD and password are not equal.

To clear your current password leave both lines blank and click OK button.

Password prompt window

Whenever you start Hide Folders XP, try to uninstall it or change the current password you will be shown this window.

files and folders password protection with Hide Folders XP

Just type your current password in the password line and click OK button.

Note: This window will not appear if you have no password.


Protection Methods

Protection methods in Hide Folders XP

When you add a file object into the File System Objects list, you should specify the protection method for this file object.

To set the protection method you should either select File->Set object protection from the main menu or click on the desired method button in the Hide Folders XP toolbar.
No protection Lock Hide Hide & Lock

There are 4 methods available:

  • Hide - When you enable protection, the protected file or folder will not be visible to a user, but it will be possible to access it if you know the path to the object. This may be helpful when you want to hide application folders but allow to run the applications from these folders. E.g. you may hide Hide Folders XP application folder so nobody will know about it, but if you type from the command prompt "C:\Program Files\HFXP2\hfxp.exe", Hide Folders XP will run.

  • Lock - the protected file or folder will be visible but not accessible. It is similar to built-in protection of Windows NT-based operating systems on NTFS volumes. You can not use this protection method for Windows, System and Hide Folders XP application folders.

  • Hide & Lock - The protected file or folder will not be visible to a user and it will not be possible to access them. This is the default method of protection. You can not use this protection method for Windows, System and Hide Folders XP application folders.

  • No protection - If you choose this method, your file or folder will remain unprotected even if you click Enable protection button.

You may set the protection method for several file objects at once. Just select several files or folders in the list (use Ctrl, Shift or mouse for multiply choice), and click the Protection method button or select Object protection from the menu - the protection method will affect all the selected files and folders.

See also: User Interface


Command line options

Hide Folders XP allows you to hide and unhide folders from command line:

HFXP /? | displays command line parameters.
HFXP /hide | protect folders immediately
HFXP /unhide [password] | unprotect folders if the specified password is valid

Note: password should not contain spaces or unhide option will not work correctly.


How to...

This topic describes basic tips and tricks for using Hide Folders XP.

Add a file or folder to the list
Remove a file or folder from the list
 Change protection method
Enable protection
Disable protection
Change user password
Clear user password
Protect Hide Folders XP from unauthorized uninstall

Add a file or folder to the list

There are several ways to add a file or folder to the list:

1. Select File->Add to list->Add any folder folder from the main menu (or just press Insert key).
A dialog window with file and folders appears. Select required file system object from the window and press OK button.

2. Press [image] button in the Hide Folders XP toolbar.
A dialog window with file and folders appears. Select required file system object from the window and press OK button.

3. Drag the desired files or folders from Windows Explorer and drop them on Hide Folders XP window.

4. Click right mouse button on a folder or file in Windows Explorer and select Hide & Lock with Hide Folders XP from the context menu. (This option is available only if Add command into Windows Explorer context menu is checked in General Hide Folders XP settings)

Remove a file or folder from the list

Highlight the required file object in the list.
From the main menu select File->Remove from list (or just press Delete key).

Change protection method

Highlight the required file objects in the list.
Select File->Set object protection->desired method from the main menu. Make sure that the new protection method appears near the file system object name in the list (in the Protection column)

See also: Hide Folders XP protection methods

Enable protection

To enable protection just select File->Enable protection from the main menu.

To enable protection and quit the program select File->Quit from the main menu (or press Ctrl+Q key combination).

Disable protection

Select File->Disable protection from the main menu.

Change user password

Select Tools->Change password from the main menu.
If you have already had a password, password prompt window appears - enter you current password and click OK.
Change password window appears.
Enter and confirm your password in the corresponding lines and click OK.

See also: Change Password Window

Clear user password

Select Tools->Change password from the main menu.
Password prompt window appears - enter you current password and click OK.
Change password window appears.
Click OK button while password lines are blank.

See also: Change Password Window

Protect Hide Folders XP from unauthorized uninstall

Set user password if it was not assigned before.
Open Settings window (Tools->Settings) and click Ask password when uninstall to check it.


Getting Started with Hide Folders

Tutorials

With Hide Folders XP tutorial you'll learn how to use Hide Folders XP to hide and unhide folders, use password protect option and some other useful tricks.

Hiding folders

With your Windows Explorer or your favorite file manager create a test folder you will try to hide (e.g. C:\TestFolder).

Copy some test files into this folder.

Start Hide Folders XP application (Start/Programs/Hide Folders XP/Hide Folders XP).

Select Add to list item from the Folders menu.

Browse to C:\TestFolder in appeared dialog and click OK button

Make sure that C:\TestFolder appears in your folders list.

Select Hide folders item from the Folders menu.

Start your Windows Explorer or your favorite file manager to be sure that C:\TestFolder disappears.
Attention: It is possible that you will see C:\TestFolder or its contents in your file manager if it was running prior to hiding. You have to refresh the file list of the file manager and C:\TestFolder will disappear.

Activate Hide Folders application by clicking on its icon in the system tray.

Select Quit and hide folders item form the Folders menu.

Restart your computer.

After restart your C:\TestFolder is still invisible.

Unhiding folders

Start Hide Folders XP application again.

Select Unhide folders item form Folders menu.

Start your Windows Explorer or your favorite file manager to ensure that C:\TestFolder is visible again.

To make C:\TestFolder visible after quit Hide Folders XP:

Activate Hide Folders XP application by clicking on its icon in the system tray

Select C:\TestFolder from Folders list

Select Remove from list item from Folders menu

Password protection

Select Tools->Change password from the main menu.
If you have already had a password, password prompt window appears - enter you current password and click OK.
Change password window appears.
Enter and confirm your password in the corresponding lines and click OK. If the password and confirmation password don't match OK button will be disabled.

Quit Hide Folders XP(Folder->Quit)

Start Hide Folders XP again. The password prompt window appears. Hide Folders XP main window will appear only if you enter a valid password.


Registration

Why register

Hide Folders XPis shareware and you must register the program to continue using it after the evaluation period. Registered users will receive information about the latest version of the program via e-mail. By registering your copy of Hide Folders XP you encourage developers to create new versions of this software and other products. As a registered user, any problem which might arise in your use of Hide Folders XP will be given the highest priority by our technical support team.

How to register Hide Folders XP

The ordering pages are on a secure server, ensuring that your confidential information remains confidential. As soon as your order is processed (usually in one business day for on-line payments), you will be provided with the registration code for your copy of Hide Folders XP. If you've made a payment , but haven't received a confirmation letter with your registration code within a reasonable amount of time (two business days for credit card payments or two weeks for other payments), please notify us!

Purchase registration code now.

How to complete the registration process

As soon as you received your registration code you can register your copy of Hide Folders XP and cancel shareware limitations.

To complete the registration process
Open Hide Folders main window
Select Help->Enter a registration code from the main menu
Enter your registration information into the related lines and press OK


License

LICENSE AGREEMENT

Hide Folders XP.
Copyright © FSPro Labs, 2001-2006. All Rights Reserved.

LICENSE AGREEMENT

You should carefully read the following terms and conditions
before using this software.

The Hide Folders XP is shareware.

All copyrights are exclusively owned
by the authors - FSPro Labs.

Anyone may use this software during a test period of 30 days.
Following this test period of 30 days or less,
if you wish to continue to use Hide Folders XP, you MUST register it or
remove Hide Folders XP files from your storage devices and cease to use
the product.

Once registered, the user is granted a non-exclusive license
to use Hide Folders XP on as many computers as defined at the registration.
You can make a second copy of Hide Folders XP for your portable computer.

You may not use, copy, emulate, clone, rent, lease, sell, modify,
decompile, disassemble, otherwise reverse engineer, or transfer
the licensed program, or any subset of the licensed program,
except as provided for in this agreement.
Any such unauthorized use shall result in immediate and automatic
termination of this license and may result in criminal and/or civil
prosecution.

THIS SOFTWARE IS DISTRIBUTED "AS IS".
NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED.
YOU USE AT YOUR OWN RISK.
THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES,
LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING
OR MISUSING THIS SOFTWARE.

Installing and using Hide Folders XP signifies acceptance of these terms and
conditions of the license.

If you do not agree with the terms of this license you must remove
Hide Folders XP files from your storage devices and cease to use
the product.

FSPro Labs
http://www.fsprolabs.com
http://www.fspro.net


Frequently Asked Questions

Frequently Asked Questions about Hide Folders XP

This is a list of Frequently Asked Questions about Hide Folders XP and their answers.

What is Hide Folders XP?
What system do I need to run Hide Folders XP?
How does it work?
What difference between Hide, Lock and Hide & Lock protection modes?
Does Hide Folders XP change file system?
When I boot my PC from floppy my hidden folders appear. Why?
I heard that some applications can hide folders in realty and the folders will be hidden in Dos session as well. Why don't you implement a similar feature?
There is a similar built-in protection in Windows 2000/XP. Has Hide Folders XP any benefits in compare with the operation system means?
Can I use NTFS built-in protection and Hide Folders XP mutually?
What will happen if someone removes the folder where Hide Folders XP resides?
In Hide Folders Pro I was able to use hot keys to hide/unhide folder. It looks like it is impossible in Hide Folders XP. Could I tune up Hide Folders XP to work similar to Hide Folders for Windows 9x.
 Your Hide Folders Pro for Windows 9x has a free version. Do you have a free version of Hide Folders XP?
What is your upgrade policy?
What are the minor and major upgrades?

What is Hide Folders XP?

Hide Folders XP is a security tool to hide and lock your sensitive folder(s) out from the other users.

What system do I need to run Hide Folders XP?

Hide Folders XP works on any PC running under Windows 2000 or Windows XP.
If you want to Hide Folders on a PC under Windows 9x or ME please try our Hide Folders or Hide Folders Pro utilities.

How does it work?

Hide Folders XP intercepts file system operations and filters them. When filtering Hide Folders cancels any operations with folders you specified as hidden or locked.

What difference between Hide, Lock and Hide & Lock protection modes?

Hide & Lock - The protected files or folders are not visible to a user and it is not possible to access them.
Hide - the protected files or folders are not visible to a user, but it is possible to access them. This may be helpful when you want to hide application folders but allow to run the applications from these folders.
Lock - the protected files or folders are visible but not accessible. It is similar to built-in protection of Windows NT-based operating systems on NTFS volumes.

Does Hide Folders XP change file system?

Not at all.

When I boot my PC from floppy my hidden folders appear. Why?

The folders appear because Hide Folders XP hides them only when it is loaded.

I heard that some applications can hide folders in realty and the folders will be hidden in DOS session as well. Why don't you implement a similar feature?

This feature requires meddling into file system. Running such low-level utilities like Norton Disk Doctor, Scandisk, etc. may damage hidden folders in this case.

There is a similar built-in protection in Windows 2000/XP. Has Hide Folders XP any benefit in compare with the operation system means?

Windows 2000/XP has a powerful built-in file system security subsystem. But you can set up access control policy only for NTFS volumes. Unfortunately it is not easy to specify access control policy in Windows XP Home edition. Moreover it is only possible to lock folders on NTFS volumes. With Hide Folders XP you may hide, lock and hide & lock folders on any volumes(FAT, FAT32, NTFS...).

Can I use NTFS built-in protection and Hide Fodlers XP mutually?

Certainly, in this case even if someone penetrates into your computer (locally or from the net) with the administrative password s(he) will bump into Hide Folders XP protection.

What will happen if someone removes the folder where Hide Folders XP resides?

Your secret folders will remain protected anyhow. But to access them you will need to install Hide Fodlers XP again.

In Hide Folders Pro I was able to use hot keys to hide/unhide folder. It looks like it is impossible in Hide Folders XP. Could I tune up Hide Folders XP to work similar to Hide Folders for Windows 9x.

You can do it with Hide Folders XP by using a certain options:

1. Assign all the hot keys in Settings/Hot Keys tab and make sure that they don't conflict with the other hot keys of your system.
2. In Settings/General set Close window action to Minimize to tray.
3. Check all options of Settings/Startup tab.

Your Hide Folders Pro for Windows 9x has a free version. Do you have a free version of Hide Folders XP?

Unfortunately Hide Folders XP is shareware and does not have a free version. But you have 30-days free trial period to make sure that you need or don't need this software.

What is your upgrade policy?

Purchasing any version of Hide Folders XP you are entitled to free minor upgrades. There may be an additional fee for a major upgrade.

What are the minor and major upgrades?

A minor upgrade is where the version number changes only after the first point (".").
An example of a minor upgrade is from version 1.0 to 1.1.

A major upgrade is where the version number changes before the first point (".").
An example of a major upgrade is from version 1.6 to 2.0.

Minor upgrades assume bugfixes, some functionality improvement.
Major upgrades assume great functionality improvement, lots of new features.